Skip to main content
GET
/
v1
/
podcasts
/
advertising
/
co-occurrence
Get sponsor co-occurrence
curl --request GET \
  --url https://api.particle.pro/v1/podcasts/advertising/co-occurrence \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "shared_episodes": 123,
      "sponsor_a": {
        "first_seen_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "last_seen_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "company": {
          "id": "<string>",
          "name": "<string>"
        },
        "stats": {
          "ad_count": 123,
          "episode_reach": 123,
          "podcast_reach": 123
        }
      },
      "sponsor_b": {
        "first_seen_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "last_seen_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "company": {
          "id": "<string>",
          "name": "<string>"
        },
        "stats": {
          "ad_count": 123,
          "episode_reach": 123,
          "podcast_reach": 123
        }
      }
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Query Parameters

limit
integer<int64>
default:25

Results per page

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from previous response

sponsor_id
string

Filter to pairs involving this sponsor ID

company_id
string

Filter by company ID, domain, or entity slug

Response

OK

data
object[] | null
required

List of results

has_more
boolean
required

Whether more results exist

cursor
string

Pass to next request for more results